VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::authentication::AuthenticationInfo::SchemeType Class Reference

The `AuthenticationInfo.SchemeType` enumerated type provides enumeration values for the set of valid authentication scheme types. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, SESSIONLESS, SESSION_AWARE }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static SchemeType[] | GetValues ()
static SchemeType | ValueOf (string name)
## Static Public Attributes
static readonly SchemeType | SESSIONLESS = new SchemeType("SESSIONLESS", Values.SESSIONLESS)
| Indicates that the scheme is a session less authentication scheme, the user is authenticated on every method.
static readonly SchemeType | SESSION_AWARE = new SchemeType("SESSION_AWARE", Values.SESSION_AWARE)
| Indicates that the scheme is a session aware authentication scheme.

## Detailed Description

The `AuthenticationInfo.SchemeType` enumerated type provides enumeration values for the set of valid authentication scheme types.

## Member Enumeration Documentation

enum vmware::vapi::metadata::authentication::AuthenticationInfo::SchemeType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  SESSIONLESS | Indicates that the scheme is a session less authentication scheme, the user is authenticated on every method. There is no explicit session establishment.
  SESSION_AWARE | Indicates that the scheme is a session aware authentication scheme. It requires an explicit login before executing a method and logout when a session terminates. A interface might choose to have a session aware scheme if it wants to associate some state corresponding to the user until the user logs out or if it wants to mitigate the cost of authenticating the user on every method.

## Member Function Documentation

Values vmware::vapi::metadata::authentication::AuthenticationInfo::SchemeType::GetEnumValue | ( |  | ) | `[inline]`

static SchemeType [] vmware::vapi::metadata::authentication::AuthenticationInfo::SchemeType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::authentication::AuthenticationInfo::SchemeType::IsUnknown | ( |  | ) | `[inline]`

static SchemeType vmware::vapi::metadata::authentication::AuthenticationInfo::SchemeType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly SchemeType vmware::vapi::metadata::authentication::AuthenticationInfo::SchemeType::SESSION_AWARE = new SchemeType("SESSION_AWARE", Values.SESSION_AWARE)`[static]`

Indicates that the scheme is a session aware authentication scheme.

It requires an explicit login before executing a method and logout when a session terminates. A interface might choose to have a session aware scheme if it wants to associate some state corresponding to the user until the user logs out or if it wants to mitigate the cost of authenticating the user on every method.

readonly SchemeType vmware::vapi::metadata::authentication::AuthenticationInfo::SchemeType::SESSIONLESS = new SchemeType("SESSIONLESS", Values.SESSIONLESS)`[static]`

Indicates that the scheme is a session less authentication scheme, the user is authenticated on every method.

There is no explicit session establishment.

The documentation for this class was generated from the following file:

- AuthenticationInfo.cs